summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xhelper_scrips/download_and_install.sh157
-rw-r--r--helper_scripts/INFO (renamed from helper_scrips/INFO)0
-rwxr-xr-xhelper_scripts/clean_glusterd.sh (renamed from helper_scrips/clean_glusterd.sh)2
-rwxr-xr-xhelper_scripts/clean_logs.sh (renamed from helper_scrips/clean_logs.sh)2
-rwxr-xr-xhelper_scripts/clean_rpm_logs.sh (renamed from helper_scrips/clean_rpm_logs.sh)2
-rwxr-xr-xhelper_scripts/detach.sh (renamed from helper_scrips/detach.sh)0
-rwxr-xr-xhelper_scripts/download_and_install.sh157
-rwxr-xr-xhelper_scripts/glusterfs_uninstall.sh (renamed from helper_scrips/glusterfs_uninstall.sh)12
-rwxr-xr-xhelper_scripts/install_glusterfs_rpm.sh (renamed from helper_scrips/install_glusterfs_rpm.sh)2
-rwxr-xr-xhelper_scripts/install_parallel_glusterfs.sh (renamed from helper_scrips/install_parallel_glusterfs.sh)12
-rwxr-xr-xhelper_scripts/multi_uninstall.sh (renamed from helper_scrips/multi_uninstall.sh)12
-rwxr-xr-xhelper_scripts/probe.sh (renamed from helper_scrips/probe.sh)0
-rwxr-xr-xhelper_scripts/rpm_download_install.sh (renamed from helper_scrips/rpm_download_install.sh)50
-rwxr-xr-xhelper_scripts/rpm_qa_download_install.sh (renamed from helper_scrips/rpm_qa_download_install.sh)4
-rwxr-xr-xhelper_scripts/start_glusterd.sh (renamed from helper_scrips/start_glusterd.sh)10
-rwxr-xr-xhelper_scripts/start_stop.sh (renamed from helper_scrips/start_stop.sh)2
16 files changed, 206 insertions, 218 deletions
diff --git a/helper_scrips/download_and_install.sh b/helper_scrips/download_and_install.sh
deleted file mode 100755
index afbffda..0000000
--- a/helper_scrips/download_and_install.sh
+++ /dev/null
@@ -1,157 +0,0 @@
-#!/bin/bash
-
-#set -x;
-
-function _init ()
-{
- # echo $0;
- # echo $#;
- # echo $1;
- set -u;
- if [ $# -lt 1 ]; then
- echo "usage: download_and_install <glusterfs-version> [install prefix]";
- exit 1;
- fi
-
- version=$1;
- echo $version;
- echo $version | grep "glusterfs" 2>/dev/null 1>/dev/null;
- if [ $? -ne 0 ]; then
- echo "given argument is not glusterfs";
- exit 1;
- fi
-
- check_if_qa_release $version;
- op_ret=$?;
-
- if [ $op_ret -eq 0 ]; then
- download_address="http://bits.gluster.com/pub/gluster/glusterfs/src/"$version".tar.gz";
- else
- echo $version | grep "3.2" 2>/dev/null 1>/dev/null;
- if [ $? -eq 0 ]; then
- version_number=$(echo $version | cut -f 2 -d "-");
- download_address="http://ftp.gluster.com/pub/gluster/glusterfs/3.2/$version_number/"$version".tar.gz";
- else
- grep "3.1" $version 2>/dev/null 1>/dev/null;
- echo "haha yes"
- if [ $? -eq 0 ]; then
- version_number=$(echo $version | cut -f 2 -d "-");
- download_address="http://ftp.gluster.com/pub/gluster/glusterfs/3.1/$version_number/"$version".tar.gz";
- else
- grep "3.0" $version 2>/dev/null 1>/dev/null;
- if [ $? -eq 0 ]; then
- version_number=$(cut -f 2 -d "-" $version);
- download_address="http://ftp.gluster.com/pub/gluster/glusterfs/3.2/$version_number/"$version".tar.gz";
- fi
- fi
- fi
- fi
-
-echo "KK: $download_address"
-# ls -l "$version".tar.gz 2>/dev/null 1>/dev/null
-# if [ $? -ne 0 ]; then
-}
-
-function check_if_qa_release ()
-{
- glusterfs_version=$1;
-
- echo $glusterfs_version | grep "qa" 2>/dev/null 1>/dev/null;
- if [ $? -ne 0 ]; then
- echo $glusterfs_version | grep "beta" 2>/dev/null 1>/dev/null;
- fi
- ret=$?;
-
- return $ret;
-}
-
-function download_tarball ()
-{
- address=$1;
-
- wget $address;
-}
-
-function untar_tarball ()
-{
- gluster_version=$1;
-
- tar xzf $PWD/"$gluster_version".tar.gz;
-}
-
-function configure ()
-{
- if [ $# -eq 1 ]; then
- prefix_dir=$1;
- else
- prefix_dir="default";
- fi
-
- old_pwd=$PWD;
-
- cd $PWD/$version;
- check_if_qa_release $version;
-
- if [ $? -eq 0 ]; then
- export CFLAGS="-g -O0 -DDEBUG";
- else
- export CFLAGS="-g -O0";
- fi
-
- if [ ! -d build ]; then
- mkdir build;
- fi
-
- cd build;
-
- echo "KKKKK: $prefix_dir"
- sleep 1;
- if [ $prefix_dir != "default" ]; then
- ../configure --prefix=$prefix_dir --quiet;
- else
- ../configure --quiet;
- fi
-
- cd $old_pwd;
-}
-
-function build_install ()
-{
- cd $PWD/$version;
-
- cd build;
- make -j 32 >/dev/null && make -j 32 install >/dev/null;
-
- cd /root;
-}
-
-main ()
-{
- if [ ! -e $version.tar.gz ]; then
- echo $download_address;
- download_tarball $download_address;
- else
- echo "tarball already present in the directory";
- fi
-
- if [ ! -d $version ]; then
- untar_tarball $version;
- else
- echo "Source directory already present in the directory";
- fi
-
- install_prefix="default";
- if [ $# -eq 2 ]; then
- install_prefix=$2;
- fi
-
- if [ $install_prefix != "default" ]; then
- configure $install_prefix;
- else
- configure;
- fi
-
- build_install;
-}
-
-_init "$@" && main "$@"
diff --git a/helper_scrips/INFO b/helper_scripts/INFO
index d030697..d030697 100644
--- a/helper_scrips/INFO
+++ b/helper_scripts/INFO
diff --git a/helper_scrips/clean_glusterd.sh b/helper_scripts/clean_glusterd.sh
index 2ccbeb2..a68eb97 100755
--- a/helper_scrips/clean_glusterd.sh
+++ b/helper_scripts/clean_glusterd.sh
@@ -46,5 +46,3 @@ function main ()
}
_init && main "$@"
-
-
diff --git a/helper_scrips/clean_logs.sh b/helper_scripts/clean_logs.sh
index 7d30bd9..d5ff90b 100755
--- a/helper_scrips/clean_logs.sh
+++ b/helper_scripts/clean_logs.sh
@@ -50,5 +50,3 @@ function main ()
}
_init && main "$@"
-
-
diff --git a/helper_scrips/clean_rpm_logs.sh b/helper_scripts/clean_rpm_logs.sh
index c5c5a5d..a823bf0 100755
--- a/helper_scrips/clean_rpm_logs.sh
+++ b/helper_scripts/clean_rpm_logs.sh
@@ -50,5 +50,3 @@ function main ()
}
_init && main "$@"
-
-
diff --git a/helper_scrips/detach.sh b/helper_scripts/detach.sh
index 8ccca53..8ccca53 100755
--- a/helper_scrips/detach.sh
+++ b/helper_scripts/detach.sh
diff --git a/helper_scripts/download_and_install.sh b/helper_scripts/download_and_install.sh
new file mode 100755
index 0000000..76390d9
--- /dev/null
+++ b/helper_scripts/download_and_install.sh
@@ -0,0 +1,157 @@
+#!/bin/bash
+
+#set -x;
+
+function _init ()
+{
+ # echo $0;
+ # echo $#;
+ # echo $1;
+ set -u;
+ if [ $# -lt 1 ]; then
+ echo "usage: download_and_install <glusterfs-version> [install prefix]";
+ exit 1;
+ fi
+
+ version=$1;
+ echo $version;
+ echo $version | grep "glusterfs" 2>/dev/null 1>/dev/null;
+ if [ $? -ne 0 ]; then
+ echo "given argument is not glusterfs";
+ exit 1;
+ fi
+
+ check_if_qa_release $version;
+ op_ret=$?;
+
+ if [ $op_ret -eq 0 ]; then
+ download_address="http://bits.gluster.com/pub/gluster/glusterfs/src/"$version".tar.gz";
+ else
+ echo $version | grep "3.2" 2>/dev/null 1>/dev/null;
+ if [ $? -eq 0 ]; then
+ version_number=$(echo $version | cut -f 2 -d "-");
+ download_address="http://ftp.gluster.com/pub/gluster/glusterfs/3.2/$version_number/"$version".tar.gz";
+ else
+ grep "3.1" $version 2>/dev/null 1>/dev/null;
+ echo "haha yes"
+ if [ $? -eq 0 ]; then
+ version_number=$(echo $version | cut -f 2 -d "-");
+ download_address="http://ftp.gluster.com/pub/gluster/glusterfs/3.1/$version_number/"$version".tar.gz";
+ else
+ grep "3.0" $version 2>/dev/null 1>/dev/null;
+ if [ $? -eq 0 ]; then
+ version_number=$(cut -f 2 -d "-" $version);
+ download_address="http://ftp.gluster.com/pub/gluster/glusterfs/3.2/$version_number/"$version".tar.gz";
+ fi
+ fi
+ fi
+ fi
+
+echo "KK: $download_address"
+# ls -l "$version".tar.gz 2>/dev/null 1>/dev/null
+# if [ $? -ne 0 ]; then
+}
+
+function check_if_qa_release ()
+{
+ glusterfs_version=$1;
+
+ echo $glusterfs_version | grep "qa" 2>/dev/null 1>/dev/null;
+ if [ $? -ne 0 ]; then
+ echo $glusterfs_version | grep "beta" 2>/dev/null 1>/dev/null;
+ fi
+ ret=$?;
+
+ return $ret;
+}
+
+function download_tarball ()
+{
+ address=$1;
+
+ wget $address;
+}
+
+function untar_tarball ()
+{
+ gluster_version=$1;
+
+ tar xzf $PWD/"$gluster_version".tar.gz;
+}
+
+function configure ()
+{
+ if [ $# -eq 1 ]; then
+ prefix_dir=$1;
+ else
+ prefix_dir="default";
+ fi
+
+ old_pwd=$PWD;
+
+ cd $PWD/$version;
+ check_if_qa_release $version;
+
+ if [ $? -eq 0 ]; then
+ export CFLAGS="-g -O0 -DDEBUG";
+ else
+ export CFLAGS="-g -O0";
+ fi
+
+ if [ ! -d build ]; then
+ mkdir build;
+ fi
+
+ cd build;
+
+ echo "KKKKK: $prefix_dir"
+ sleep 1;
+ if [ $prefix_dir != "default" ]; then
+ ../configure --prefix=$prefix_dir --quiet;
+ else
+ ../configure --quiet;
+ fi
+
+ cd $old_pwd;
+}
+
+function build_install ()
+{
+ cd $PWD/$version;
+
+ cd build;
+ make -j 32 >/dev/null && make -j 32 install >/dev/null;
+
+ cd /root;
+}
+
+main ()
+{
+ if [ ! -e $version.tar.gz ]; then
+ echo $download_address;
+ download_tarball $download_address;
+ else
+ echo "tarball already present in the directory";
+ fi
+
+ if [ ! -d $version ]; then
+ untar_tarball $version;
+ else
+ echo "Source directory already present in the directory";
+ fi
+
+ install_prefix="default";
+ if [ $# -eq 2 ]; then
+ install_prefix=$2;
+ fi
+
+ if [ $install_prefix != "default" ]; then
+ configure $install_prefix;
+ else
+ configure;
+ fi
+
+ build_install;
+}
+
+_init "$@" && main "$@"
diff --git a/helper_scrips/glusterfs_uninstall.sh b/helper_scripts/glusterfs_uninstall.sh
index 31a000d..b3378fd 100755
--- a/helper_scrips/glusterfs_uninstall.sh
+++ b/helper_scripts/glusterfs_uninstall.sh
@@ -9,16 +9,16 @@ function _init ()
# echo $1;
set -u;
if [ $# -lt 1 ]; then
- echo "usage: download_and_install <glusterfs-version>";
- exit 1;
+ echo "usage: download_and_install <glusterfs-version>";
+ exit 1;
fi
version=$1;
echo $version;
echo $version | grep "glusterfs" 2>/dev/null 1>/dev/null;
if [ $? -ne 0 ]; then
- echo "given argument is not glusterfs";
- exit 1;
+ echo "given argument is not glusterfs";
+ exit 1;
fi
}
@@ -36,8 +36,8 @@ main ()
{
if [ ! -d $version ]; then
- echo "the glusterfs version ($version) directory is not there."
- return 1;
+ echo "the glusterfs version ($version) directory is not there."
+ return 1;
fi
un_install;
diff --git a/helper_scrips/install_glusterfs_rpm.sh b/helper_scripts/install_glusterfs_rpm.sh
index 4e82b58..9b5c6fa 100755
--- a/helper_scrips/install_glusterfs_rpm.sh
+++ b/helper_scripts/install_glusterfs_rpm.sh
@@ -71,5 +71,3 @@ function main ()
}
_init "$@" && main "$@"
-
-
diff --git a/helper_scrips/install_parallel_glusterfs.sh b/helper_scripts/install_parallel_glusterfs.sh
index 15455fb..de5840a 100755
--- a/helper_scrips/install_parallel_glusterfs.sh
+++ b/helper_scripts/install_parallel_glusterfs.sh
@@ -11,13 +11,13 @@ function install_glusterfs ()
local remote_server=;
if [ $# -eq 1 ]; then
- remote_server=$1;
+ remote_server=$1;
fi
if [ $remote_server ]; then
- ssh $remote_server cp -f /root/scripts/download_and_install.sh /root/;
- ssh $remote_server /root/download_and_install.sh $VERSION;
- return 0;
+ ssh $remote_server cp -f /root/scripts/download_and_install.sh /root/;
+ ssh $remote_server /root/download_and_install.sh $VERSION;
+ return 0;
fi
j=0;
@@ -45,9 +45,9 @@ function main ()
{
stat --printf=%i /root/machines 2>/dev/null 1>/dev/null;
if [ $? -ne 0 ]; then
- echo "servers file is not present /root. Cannot execute further.";
+ echo "servers file is not present /root. Cannot execute further.";
- exit 1;
+ exit 1;
fi
install_glusterfs;
diff --git a/helper_scrips/multi_uninstall.sh b/helper_scripts/multi_uninstall.sh
index dca2350..4f6a1cd 100755
--- a/helper_scrips/multi_uninstall.sh
+++ b/helper_scripts/multi_uninstall.sh
@@ -13,13 +13,13 @@ function uninstall_glusterfs ()
local remote_server=;
if [ $# -eq 1 ]; then
- remote_server=$1;
+ remote_server=$1;
fi
if [ $remote_server ]; then
- ssh $remote_server cp -f /root/scripts/glusterfs_uninstall.sh /root/;
- ssh $remote_server /root/glusterfs_uninstall.sh $VERSION;
- return 0;
+ ssh $remote_server cp -f /root/scripts/glusterfs_uninstall.sh /root/;
+ ssh $remote_server /root/glusterfs_uninstall.sh $VERSION;
+ return 0;
fi
j=0;
@@ -47,9 +47,9 @@ function main ()
{
stat --printf=%i /root/machines 2>/dev/null 1>/dev/null;
if [ $? -ne 0 ]; then
- echo "servers file is not present /root. Cannot execute further.";
+ echo "servers file is not present /root. Cannot execute further.";
- exit 1;
+ exit 1;
fi
uninstall_glusterfs;
diff --git a/helper_scrips/probe.sh b/helper_scripts/probe.sh
index f6fc217..f6fc217 100755
--- a/helper_scrips/probe.sh
+++ b/helper_scripts/probe.sh
diff --git a/helper_scrips/rpm_download_install.sh b/helper_scripts/rpm_download_install.sh
index f1a071a..4de3a2b 100755
--- a/helper_scrips/rpm_download_install.sh
+++ b/helper_scripts/rpm_download_install.sh
@@ -28,24 +28,24 @@ function _init ()
if [ $op_ret -eq 0 ]; then
download_address="http://bits.gluster.com/pub/gluster/glusterfs/";
else
- echo $version | grep "3.2" 2>/dev/null 1>/dev/null;
- if [ $? -eq 0 ]; then
- version_number=$(echo $version | cut -f 2 -d "-");
- download_address="http://download.gluster.com/pub/gluster/glusterfs/3.2/$version_number/RHEL/";
- else
- grep "3.1" $version 2>/dev/null 1>/dev/null;
- echo "haha yes"
- if [ $? -eq 0 ]; then
- version_number=$(echo $version | cut -f 2 -d "-");
- download_address="http://download.gluster.com/pub/gluster/glusterfs/3.1/$version_number/RHEL/";
- else
- grep "3.0" $version 2>/dev/null 1>/dev/null;
- if [ $? -eq 0 ]; then
- version_number=$(cut -f 2 -d "-" $version);
- download_address="http://download.gluster.com/pub/gluster/glusterfs/3.0/$version_number/RHEL/";
- fi
- fi
- fi
+ echo $version | grep "3.2" 2>/dev/null 1>/dev/null;
+ if [ $? -eq 0 ]; then
+ version_number=$(echo $version | cut -f 2 -d "-");
+ download_address="http://download.gluster.com/pub/gluster/glusterfs/3.2/$version_number/RHEL/";
+ else
+ grep "3.1" $version 2>/dev/null 1>/dev/null;
+ echo "haha yes"
+ if [ $? -eq 0 ]; then
+ version_number=$(echo $version | cut -f 2 -d "-");
+ download_address="http://download.gluster.com/pub/gluster/glusterfs/3.1/$version_number/RHEL/";
+ else
+ grep "3.0" $version 2>/dev/null 1>/dev/null;
+ if [ $? -eq 0 ]; then
+ version_number=$(cut -f 2 -d "-" $version);
+ download_address="http://download.gluster.com/pub/gluster/glusterfs/3.0/$version_number/RHEL/";
+ fi
+ fi
+ fi
fi
echo "Download address: $download_address" && sleep 2;
@@ -80,8 +80,8 @@ function download_rpms ()
echo $version_number | grep "3.2";
is_32=$?;
if [ $is_32 -ne 0 ]; then
- echo $version_number | grep "3.3";
- is_32=$?;
+ echo $version_number | grep "3.3";
+ is_32=$?;
fi
check_if_qa_release $version;
@@ -98,11 +98,11 @@ function download_rpms ()
else
wget $address/glusterfs-core-$version_number-1.el6.x86_64.rpm;
wget $address/glusterfs-debuginfo-$version_number-1.el6.x86_64.rpm;
- wget $address/glusterfs-fuse-$version_number-1.el6.x86_64.rpm;
- if [ $is_32 -eq 0 ]; then
- wget $address/glusterfs-geo-replication-$version_number-1.el6.x86_64.rpm;
+ wget $address/glusterfs-fuse-$version_number-1.el6.x86_64.rpm;
+ if [ $is_32 -eq 0 ]; then
+ wget $address/glusterfs-geo-replication-$version_number-1.el6.x86_64.rpm;
echo "3.2 version";
- fi
+ fi
fi
}
@@ -157,5 +157,3 @@ main ()
}
_init "$@" && main "$@"
-
- \ No newline at end of file
diff --git a/helper_scrips/rpm_qa_download_install.sh b/helper_scripts/rpm_qa_download_install.sh
index 32fc2e1..1f878f7 100755
--- a/helper_scrips/rpm_qa_download_install.sh
+++ b/helper_scripts/rpm_qa_download_install.sh
@@ -47,7 +47,7 @@ function check_if_qa_release ()
function download_rpms ()
{
address=$1;
-
+
mkdir $PWD/rpms/$version_number;
cd $PWD/rpms/$version_number;
@@ -109,5 +109,3 @@ main ()
}
_init "$@" && main "$@"
-
- \ No newline at end of file
diff --git a/helper_scrips/start_glusterd.sh b/helper_scripts/start_glusterd.sh
index 5bc0901..09c1210 100755
--- a/helper_scrips/start_glusterd.sh
+++ b/helper_scripts/start_glusterd.sh
@@ -10,12 +10,12 @@ function start_glusterd ()
local remote_server=;
if [ $# -eq 1 ]; then
- remote_server=$1;
+ remote_server=$1;
fi
if [ $remote_server ]; then
- ssh $remote_server glusterd;
- return 0;
+ ssh $remote_server glusterd;
+ return 0;
fi
for i in $(cat /root/servers)
@@ -35,8 +35,8 @@ function main ()
{
stat --printf=%i /root/servers 2>/dev/null 1>/dev/null;
if [ $? -ne 0 ]; then
- echo "servers file is not present /root. Cannot execute further."
- exit 1
+ echo "servers file is not present /root. Cannot execute further."
+ exit 1
fi
start_glusterd;
diff --git a/helper_scrips/start_stop.sh b/helper_scripts/start_stop.sh
index 83ad1bf..05ed6fa 100755
--- a/helper_scrips/start_stop.sh
+++ b/helper_scripts/start_stop.sh
@@ -22,7 +22,7 @@ function start_and_stop ()
function main ()
{
-
+
start_and_stop;
return 0;